Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class OperationMetaData

    java.lang.Object
      org.wso2.wsas.admin.service.util.OperationMetaData

    public class OperationMetaData

extends java.lang.Object

Constructor Summary
`OperationMetaData()`

Method Summary
`double` | `getAvgResponseTime()` Getter for property 'avgResponseTime'.
`java.lang.String` | `getEnableMTOM()` Configuring enable
`long` | `getMaxResponseTime()` Getter for property 'maxResponseTime'.
`long` | `getMinResponseTime()` Getter for property 'minResponseTime'.
`java.lang.String` | `getName()` Getter for property 'name'.
`long` | `getOpFaultCount()` Getter for property 'opFaultCount'.
`long` | `getOpRequestCount()` Getter for property 'opRequestCount'.
`long` | `getOpResponseCount()` Getter for property 'opResponseCount'.
`boolean` | `isControlOperation()` Getter for property 'controlOperation'.
`void` | `setAvgResponseTime(double avgResponseTime)` Setter for property 'avgResponseTime'.
`void` | `setControlOperation(boolean controlOperation)` Setter for property 'controlOperation'.
`void` | `setEnableMTOM(java.lang.String enableMTOM)`
`void` | `setMaxResponseTime(long maxResponseTime)` Setter for property 'maxResponseTime'.
`void` | `setMinResponseTime(long minResponseTime)` Setter for property 'minResponseTime'.
`void` | `setName(java.lang.String name)` Setter for property 'name'.
`void` | `setOpFaultCount(long opFaultCount)` Setter for property 'opFaultCount'.
`void` | `setOpRequestCount(long opRequestCount)` Setter for property 'opRequestCount'.
`void` | `setOpResponseCount(long opResponseCount)` Setter for property 'opResponseCount'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationMetaData

    public OperationMetaData()

Method Detail

### getName

    public java.lang.String getName()

  Getter for property 'name'.

  Returns:
    Value for property 'name'.

### setName

    public void setName(java.lang.String name)

  Setter for property 'name'.

  Parameters:
    `name` - Value to set for property 'name'.

### getOpRequestCount

    public long getOpRequestCount()

  Getter for property 'opRequestCount'.

  Returns:
    Value for property 'opRequestCount'.

### setOpRequestCount

    public void setOpRequestCount(long opRequestCount)

  Setter for property 'opRequestCount'.

  Parameters:
    `opRequestCount` - Value to set for property 'opRequestCount'.

### getOpResponseCount

    public long getOpResponseCount()

  Getter for property 'opResponseCount'.

  Returns:
    Value for property 'opResponseCount'.

### setOpResponseCount

    public void setOpResponseCount(long opResponseCount)

  Setter for property 'opResponseCount'.

  Parameters:
    `opResponseCount` - Value to set for property 'opResponseCount'.

### getOpFaultCount

    public long getOpFaultCount()

  Getter for property 'opFaultCount'.

  Returns:
    Value for property 'opFaultCount'.

### setOpFaultCount

    public void setOpFaultCount(long opFaultCount)

  Setter for property 'opFaultCount'.

  Parameters:
    `opFaultCount` - Value to set for property 'opFaultCount'.

### getMaxResponseTime

    public long getMaxResponseTime()

  Getter for property 'maxResponseTime'.

  Returns:
    Value for property 'maxResponseTime'.

### setMaxResponseTime

    public void setMaxResponseTime(long maxResponseTime)

  Setter for property 'maxResponseTime'.

  Parameters:
    `maxResponseTime` - Value to set for property 'maxResponseTime'.

### getMinResponseTime

    public long getMinResponseTime()

  Getter for property 'minResponseTime'.

  Returns:
    Value for property 'minResponseTime'.

### setMinResponseTime

    public void setMinResponseTime(long minResponseTime)

  Setter for property 'minResponseTime'.

  Parameters:
    `minResponseTime` - Value to set for property 'minResponseTime'.

### getAvgResponseTime

    public double getAvgResponseTime()

  Getter for property 'avgResponseTime'.

  Returns:
    Value for property 'avgResponseTime'.

### setAvgResponseTime

    public void setAvgResponseTime(double avgResponseTime)

  Setter for property 'avgResponseTime'.

  Parameters:
    `avgResponseTime` - Value to set for property 'avgResponseTime'.

### isControlOperation

    public boolean isControlOperation()

  Getter for property 'controlOperation'.

  Returns:
    Value for property 'controlOperation'.

### setControlOperation

    public void setControlOperation(boolean controlOperation)

  Setter for property 'controlOperation'.

  Parameters:
    `controlOperation` - Value to set for property 'controlOperation'.

### getEnableMTOM

    public java.lang.String getEnableMTOM()

  Configuring enable

  Returns:
    boolean

### setEnableMTOM

    public void setEnableMTOM(java.lang.String enableMTOM)

  Parameters:
    `enableMTOM` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD